System.Web 2.0.0.0 System.Object System.Collections.IList

The class is used to store and manage a collection of -derived objects in a control that acts as a wizard, such as the control or the control. For example, the control uses the class for its property.

There are multiple ways you can access the -derived objects in the :

Use the property to directly access a -derived object at a specific zero-based index.

Use the method to create an enumerator that can be used to iterate through the collection.

Use the method to copy the contents of the collection into an object.

Represents a collection of -derived objects in a control that acts as a wizard. This class cannot be inherited.

- Method
  System.Void ``

  The method adds the -derived object to the end of the collection. To add a -derived object to the collection at a specific index location, use the method.

  Appends the specified -derived object to the end of the collection.

  The -derived object to append to the collection. 2.0.0.0
- Method
  System.Void `` ``

  The method adds the -derived object to the collection at the specified index location.

  To add a -derived object to the end of the collection, use the method.

  Adds the specified -derived object to the collection at the specified index location.

  The index location at which to insert -derived object. The -derived object to append to the collection. 2.0.0.0
- Method
  System.Void

  Use the method to remove all the -derived objects from the collection.

  After the method removes the -derived objects from the collection, the property of the collection has a value of zero.

  Removes all -derived objects from the collection.

  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether a -derived object is contained in the collection. This method is commonly used to test for the existence of a -derived object before performing a task, such as removing a -derived object from the collection.

  Determines whether the collection contains a specific -derived object.

  true if the -derived object is found in the collection; otherwise, false.

  The -derived object to find in the collection. 2.0.0.0
- Method
  System.Void `` ``

  Use the method to copy the contents of the collection into the specified zero-based array. Items are copied starting at the specified index of the target array. After the items are in an array, you can use array syntax to access the items in the collection.

  As an alternative, you can also use the method to create an enumerator that can be used to access the items in the collection.

  Copies all the items from a collection to a compatible one-dimensional array of objects, starting at the specified index in the target array.

  A zero-based array of objects that receives the items copied from the collection. The position in the target array at which the array starts receiving the copied items. 2.0.0.0
- Property
  System.Int32 To be added.

  Use the property to determine the number of -derived objects in the collection. The property is commonly used when iterating through the collection to determine its upper bound.

  Gets the number of -derived objects in the control's collection.

  2.0.0.0
- Method
  System.Collections.IEnumerator To be added.

  Returns an -implemented object that can be used to iterate through the -derived objects in the collection.

  An -implemented object that contains all the -derived objects in the collection.

  2.0.0.0
- Method
  System.Int32 ``

  Use the method to determine the index of the specified -derived object in the current collection. If the -derived object is not in the collection, the method returns -1.

  Determines the index value that represents the position of the specified -derived object in the collection.

  If found, the zero-based index of the first occurrence of the -derived object passed in within the current collection; otherwise, -1.

  The -derived object to search for in the collection. 2.0.0.0
- Method
  System.Void `` ``

  The method adds the -derived object to the collection at the specified index location.

  Alternatively, you can use the method to add the -derived object to the collection. To add a -derived object to the end of the collection, use the method.

  The method and the method perform essentially the same function. When the method is called, it simply passes the wizardStep and index parameters to the method.

  Inserts the specified -derived object into the collection at the specified index location.

  The index location at which to insert the -derived object. The -derived object to insert into the collection. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the -derived objects in the collection can be modified.

  2.0.0.0
- Property
  System.Boolean To be added.

  This property is derived from the interface and is overridden to always return false.

  For more information on the property, see the property of the interface

  Gets a value indicating whether access to the collection is synchronized (thread-safe).

  2.0.0.0
- Property
  System.Web.UI.WebControls.WizardStepBase `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the -derived object from the collection. Alternatively, you can use the method to remove a -derived object from a specified location in the collection.

  Removes the specified -derived object from the collection.

  The -derived object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the -derived object from the collection at the specified index location. Alternatively, you can remove a specific -derived object from the collection using the method.

  Removes the -derived object from the collection at the specified location.

  The index of the -derived object to remove. 2.0.0.0
- Property
  System.Object To be added.

  The object returned in this implementation is the object itself.

  For more information on the property, see the property of the interface.

  Gets an object that can be used to synchronize access to the collection.

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies all the items from a collection to a one-dimensional array, starting at the specified index in the target array.

  A zero-based that receives the items copied from the collection. The position in the target array at which to start receiving the copied content.
- Method
  2.0.0.0
  System.Int32 `` To be added. To be added.

  Appends the specified object to the end of the collection.

  The position into which the new element was inserted.

- Method
  2.0.0.0
  System.Boolean `` To be added. To be added.

  Determines whether the collection contains the specified object.

  true if the is found in the ; otherwise false.

- Method
  2.0.0.0
  System.Int32 `` To be added. To be added.

  Determines the index value that represents the position of the specified object in the collection.

  The index value of the specified object in the collection.

- Method
  2.0.0.0
  System.Void `` `` To be added. To be added.

  Inserts the specified object in the collection at the specified position.

  The index at which to insert the object into the collection.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection has a fixed size.

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added.

  Removes the specified object from the collection.